<?php

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\Qemu;

use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Sections\TwiceColumnSection;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Switcher;

class GuestAgentSection extends TwiceColumnSection implements AdminArea
{
    protected $id = 'guestAgentSection';
    protected $name = 'guestAgentSection';
    protected $title = 'guestAgentSection';
    private $sectionFields=[];


    protected function initFields()
    {
        //Guest Agent [on/off]
        $field = new Switcher('customconfigoption[agent]');
        $field->setDescription('tip');
        $this->addField($field);
        //Service Password
        $field = new Switcher('customconfigoption[agentPassword]');
        $field->setDescription('tip');
        $this->addField($field);
        //Configure Network
        $field = new Switcher('customconfigoption[agentConfigureNetwork]');
        $field->setDescription('tip');
        $this->addField($field);
    }


}
